Package com.sap.ai.sdk.core.model

# Class AiExecutableParameter

java.lang.Object
com.sap.ai.sdk.core.model.AiExecutableParameter

public class AiExecutableParameter extends Object
AiExecutableParameter

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiExecutableParameter.Builder`
  Builder helper class.
  `static enum`
  `AiExecutableParameter.TypeEnum`
  Type of the executable parameter

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiExecutableParameter()`
  Default constructor for AiExecutableParameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiExecutableParameter`
  `_default(String _default)`
  Set the _default of this `AiExecutableParameter` instance and return the same instance.
  `static AiExecutableParameter.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiExecutableParameter` instance with all required arguments.
  `AiExecutableParameter`
  `description(String description)`
  Set the description of this `AiExecutableParameter` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiExecutableParameter`.
  `String`
  `getDefault()`
  Default value of the signature argument
  `String`
  `getDescription()`
  Description of the signature argument
  `String`
  `getName()`
  Name of the executable parameter
  `AiExecutableParameter.TypeEnum`
  `getType()`
  Type of the executable parameter
  `int`
  `hashCode()`
  `AiExecutableParameter`
  `name(String name)`
  Set the name of this `AiExecutableParameter` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiExecutableParameter` instance.
  `void`
  `setDefault(String _default)`
  Set the _default of this `AiExecutableParameter` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `AiExecutableParameter` instance.
  `void`
  `setName(String name)`
  Set the name of this `AiExecutableParameter` instance.
  `void`
  `setType(AiExecutableParameter.TypeEnum type)`
  Set the type of this `AiExecutableParameter` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiExecutableParameter` instance including unrecognized properties.
  `String`
  `toString()`
  `AiExecutableParameter`
  `type(AiExecutableParameter.TypeEnum type)`
  Set the type of this `AiExecutableParameter` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiExecutableParameter

    protected AiExecutableParameter()
    Default constructor for AiExecutableParameter.

- ## Method Details

  - ### name

    @Nonnull public AiExecutableParameter name(@Nonnull String name)
    Set the name of this `AiExecutableParameter` instance and return the same instance.
    Parameters:
      `name` - Name of the executable parameter
    Returns:
      The same instance of this `AiExecutableParameter` class

  - ### getName

    @Nonnull public String getName()
    Name of the executable parameter
    Returns:
      name The name of this `AiExecutableParameter` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `AiExecutableParameter` instance.
    Parameters:
      `name` - Name of the executable parameter

  - ### description

    @Nonnull public AiExecutableParameter description(@Nullable String description)
    Set the description of this `AiExecutableParameter` instance and return the same instance.
    Parameters:
      `description` - Description of the signature argument
    Returns:
      The same instance of this `AiExecutableParameter` class

  - ### getDescription

    @Nonnull public String getDescription()
    Description of the signature argument
    Returns:
      description The description of this `AiExecutableParameter` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `AiExecutableParameter` instance.
    Parameters:
      `description` - Description of the signature argument

  - ### _default

    @Nonnull public AiExecutableParameter _default(@Nullable String _default)
    Set the _default of this `AiExecutableParameter` instance and return the same instance.
    Parameters:
      `_default` - Default value of the signature argument
    Returns:
      The same instance of this `AiExecutableParameter` class

  - ### getDefault

    @Nonnull public String getDefault()
    Default value of the signature argument
    Returns:
      _default The _default of this `AiExecutableParameter` instance.

  - ### setDefault

    public void setDefault(@Nullable String _default)
    Set the _default of this `AiExecutableParameter` instance.
    Parameters:
      `_default` - Default value of the signature argument

  - ### type

    @Nonnull public AiExecutableParameter type(@Nullable AiExecutableParameter.TypeEnum type)
    Set the type of this `AiExecutableParameter` instance and return the same instance.
    Parameters:
      `type` - Type of the executable parameter
    Returns:
      The same instance of this `AiExecutableParameter` class

  - ### getType

    @Nonnull public AiExecutableParameter.TypeEnum getType()
    Type of the executable parameter
    Returns:
      type The type of this `AiExecutableParameter` instance.

  - ### setType

    public void setType(@Nullable AiExecutableParameter.TypeEnum type)
    Set the type of this `AiExecutableParameter` instance.
    Parameters:
      `type` - Type of the executable parameter

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiExecutableParameter`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiExecutableParameter` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiExecutableParameter` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiExecutableParameter` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiExecutableParameter.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiExecutableParameter` instance with all required arguments.